ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Deacon, Garrett (DST-CLT)" <garrett_dea...@dstinteractive.com>
Subject RE: ejbjar issue
Date Fri, 20 Dec 2002 13:52:26 GMT
I am not sure if I am missing the Jakarta-BCEL library.  I don't see any
classes in the ant or option.jar files is it a seperate set of libraries and
if its so intgral to 1.5.1 why is it not part of the dist.  I must be
missing something.

Thanx for your help

-Garrett

Deacon, Garrett (DST-CLT) wrote:
> I am having a devel of a time with the ejbjar task with weblogic.  I get
the
> following error for ant 1.5.1 that I did not get with 1.4.x ...
> 
> Unable to load dependency analyzer:
> org.apache.tools.ant.util.depend.bcel.AncestorAnalyzer
> 

If you have trouble when upgrading a version of Ant, the first port of call 
should be the WHATSNEW file and the changes between the two versions.

* <ejbjar> now allows control over which additional classes and interfaces
   are added to the generated EJB jars. A new attribute "dependency" can be
   defined which controls what classes are added. The addition of classes
   now uses the Jakarta-BCEL library rather than reflection, meaning bean
   classes are  no longer loaded into Ant's JVM. The default dependency
   analyzer is known as the ancestor analyzer. It provides the same
behaviour
   as the 1.4.1 version of <ejbjar>. If the BCEL library is not present, a
   warning will be issued stating the ancestor analyzer is not available. In
   this case <ejbjar> will continue to function but will not add super
   classes to the jar.

Conor






--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message